Verify a binary message signature with the wallet's public key
POST/api/v1/crypto/wallet/:walletId/signature/verify
Verify a binary message signature with the wallet's public key
Request
Path Parameters
walletId numberrequired
Wallet identifier
- application/json
Body
required
signature stringrequired
The signature to verify, encoded according to signatureEncoding
signatureEncoding string
Possible values: [hex, base64, base64url]
Default value: hex
Encoding format of the signature bytes
message stringrequired
The message to verify, encoded according to messageEncoding
messageEncoding string
Possible values: [hex, base64, base64url]
Default value: hex
Encoding format of the message bytes
Responses
- 200
Signature verification result.
- application/json
- Schema
- Example (from schema)
Schema
verified boolean
{
"verified": true
}
Loading...